# Basic settings for running in production. Change accordingly before deploying the server.

{% if keycloak_db %}
# Database
db={{ keycloak_db_vendor }}
db-username={{ keycloak_db_username }}
db-password={{ keycloak_db_password }}
# The full database JDBC URL. If not provided, a default URL is set based on the selected database vendor.
db-url={{ keycloak_db_url }}
{% endif %}

# Observability
health-enabled={{ keycloak_healthcheck }}
metrics-enabled={{ keycloak_metrics }}

# HTTP
http-enabled={{ keycloak_http_enabled }}
http-port={{ keycloak_http_port }}

# HTTPS
{% if not keycloak_http_enabled %}
https-port={{ keycloak_https_port }}
# The file path to a server certificate or certificate chain in PEM format.
https-certificate-file={{ keycloak_certs_dir }}/keycloak.crt.pem
# The file path to a private key in PEM format.
https-certificate-key-file={{ keycloak_certs_dir }}/keycloak.key.pem
{% endif %}

# Hostname for the Keycloak server.
# hostname={{ keycloak_hostname }}
hostname-url={{ keycloak_base_url }}
{% if keycloak_http_enabled %}
hostname-strict-https=false
{% endif %}
{% if keycloak_proxy != 'none' %}
# hostname-path={{ keycloak_hostname_path }}
# http-relative-path={{ keycloak_http_relative_path }}
hostname-strict=false
{% endif %}

# Proxy
# The proxy address forwarding mode if the server is behind a reverse proxy.
# none, edge, reencrypt, passthrough
proxy={{ keycloak_proxy }}
# Do not attach route to cookies and rely on the session affinity capabilities from reverse proxy
#spi-sticky-session-encoder-infinispan-should-attach-route=false

# Cache
cache-config-file={{ keycloak_home_dir }}/conf/cache-ispn.xml
{% if keycloak_ha_mode %}
cache=ispn
{% else %}
cache=local
{% endif %}
cache-stack=tcp

# Logging
# console, file or GELF
log={{ keycloak_log }}
log-file={{ keycloak_log_file }}
# fatal, error, warn, info, debug, trace, all, off
log-level={{ keycloak_log_level }}
#log-format=%d{yyyy-MM-dd HH:mm:ss,SSS} %-5p [%c] (%t) %s%e%n
log-file-format={{ keycloak_log_filr_format }}
